Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.portlet
Class ContentTypeImpl

    java.lang.Object
      org.jasig.portal.container.om.portlet.ContentTypeImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Model, org.apache.pluto.om.portlet.ContentType

    public class ContentTypeImpl

extends java.lang.Object
implements org.apache.pluto.om.portlet.ContentType, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.4 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `contentType`
`private java.util.Collection` | `portletModes`

Constructor Summary
`ContentTypeImpl()`

Method Summary
`void` | `addPortletMode(javax.portlet.PortletMode portletMode)`
`java.lang.String` | `getContentType()`
`java.util.Iterator` | `getPortletModes()`
`void` | `setContentType(java.lang.String contentType)`
`boolean` | `supportsPortletMode(javax.portlet.PortletMode portletMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentType

    private java.lang.String contentType

### portletModes

    private java.util.Collection portletModes

Constructor Detail

### ContentTypeImpl

    public ContentTypeImpl()

Method Detail

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `org.apache.pluto.om.portlet.ContentType`

### getPortletModes

    public java.util.Iterator getPortletModes()

  Specified by:
    `getPortletModes` in interface `org.apache.pluto.om.portlet.ContentType`

### supportsPortletMode

    public boolean supportsPortletMode(javax.portlet.PortletMode portletMode)

  Specified by:
    `supportsPortletMode` in interface `org.apache.pluto.om.portlet.ContentType`

### setContentType

    public void setContentType(java.lang.String contentType)

### addPortletMode

    public void addPortletMode(javax.portlet.PortletMode portletMode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD